
body{
    height: 100%;
    margin:0;
}
#header {
  width: 100%;
  margin-top:0;
  font-size: 40px;
  color: white;
  background-color: #4a90e2;
  text-align: center;
}

.container {
  align-items: center;
  width: 95%;
  margin: 100px auto;
}
.chapter {
  border-radius: 10px;
  padding: 20px;
  margin: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.link {
  text-decoration: none;
}


.page-container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.content {
  flex: 1; 
}

.footer {
  width: 100%;
  padding:0 20px;
}

hr{
    margin:0;
    padding:0;
}

/*
Width >= 1260px (min)
*/
@media(min-width:1260px){
    .container{
        width:70%;
    }
}

/*
700px (min) <= Width >= 1259px (max)
*/
@media(min-width:850px) and (max-width:1259px){
    .container{
        width:80%;
    }
    #header{
            font-size:30px;
    }
}

/*
700px (min) <= Width >= 1259px (max)
*/
@media(min-width:699px) and (max-width:849px){
    .container{
        width:80%;
        margin:50px auto;
    }
    #header{
            font-size:20px;
    }
    .footer{
        font-size:15px;
    }
}
/*
700px (min) <= Width >= 1259px (max)
*/
@media(min-width:550px) and (max-width:700px){
    .container{
        width:90%;
        margin:50px auto;
    }
    #header{
            font-size:20px;
    }
    .footer{
        font-size:15px;
    }
}

/*
700px (min) <= Width >= 1259px (max)
*/
@media(min-width:430px) and (max-width:549px){
    .container{
        /* width:60%; */
        margin:30px auto;

    }
    .ch_name{
        font-size:20px;
    }
    #header{
            font-size:15px;
    }
    .footer{
        font-size:15px;
    }
}

/*
700px (min) <= Width >= 1259px (max)
*/
@media(min-width:375px) and (max-width:429px){
    .container{
        /* width:60%; */
        margin:30px auto;

    }
    .ch_name{
        font-size:15px;
    }
    #header{
            font-size:15px;
    }
    .footer{
        font-size:14px;
    }
}

/*
700px (min) <= Width >= 1259px (max)
*/
@media(max-width:374px){
    .container{
        /* width:60%; */
        margin:30px auto;

    }
    .ch_name{
        font-size:12px;
    }
    #header{
            font-size:15px;
    }
    .footer{
        font-size:12px;
    }
}